summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2017-10-30 22:44:30 +0200
committerMart Raudsepp <leio@gentoo.org>2017-10-31 00:25:15 +0200
commit2d09596d0b6cbd34a9a4f133f82b3b3c31e663a0 (patch)
treed86324bf4c35921789d568b3743cd2395256624b
parent*/*: revert https://github.com/gentoo/gentoo/pull/5828. (diff)
downloadgentoo-2d09596d0b6cbd34a9a4f133f82b3b3c31e663a0.tar.gz
gentoo-2d09596d0b6cbd34a9a4f133f82b3b3c31e663a0.tar.bz2
gentoo-2d09596d0b6cbd34a9a4f133f82b3b3c31e663a0.zip
dev-libs/link-grammar: remove old
Package-Manager: Portage-2.3.8, Repoman-2.3.2
-rw-r--r--dev-libs/link-grammar/Manifest1
-rw-r--r--dev-libs/link-grammar/link-grammar-5.3.10.ebuild155
2 files changed, 0 insertions, 156 deletions
diff --git a/dev-libs/link-grammar/Manifest b/dev-libs/link-grammar/Manifest
index fb34a93c186..26ae979fde2 100644
--- a/dev-libs/link-grammar/Manifest
+++ b/dev-libs/link-grammar/Manifest
@@ -1,2 +1 @@
-DIST link-grammar-5.3.10.tar.gz 3612522 SHA256 7ead9a5190cfac2f8a0f8b2608fd48b6d71a50aa55cb4fedd3f52e85a4df0a95 SHA512 b91c79c6c668c7d1ccb0f29e3762e4426f082421fc3a15e77bfacbc3681d4f969db7015010504dc8418e4d8c90847ed156bcc0ea01fd6589ef31c4d35af6e989 WHIRLPOOL 3c1d05f3523e6b411b653803c4f2490078d3a227eec3fc4497c0d801127c00fe3eca7bb9d1b868b2c776b59829ea96da42ceee70d24d6617f9040b0164dfe1bc
DIST link-grammar-5.3.11.tar.gz 3632617 SHA256 73ca3ae82ec7ddbfce827eb7017a2953afea2cea854b4d7517139881e1170cd7 SHA512 09671d187deac3b9530dd63eb4497de9c2c9db32d79da06c677bdbccac015adef06813819692a92d15499c7cb347071c58b73c52505af154bdc8a8fcd409ddd2 WHIRLPOOL c4f1cfa11d7d1b07dfdd15d9798789fd5c7b2d8f79d12e717c9b92527757b7b9e67c9813deb8aac93e60a145c0783c23f3ee9654e570858ec428af094ba95831
diff --git a/dev-libs/link-grammar/link-grammar-5.3.10.ebuild b/dev-libs/link-grammar/link-grammar-5.3.10.ebuild
deleted file mode 100644
index fdfa8ffeb61..00000000000
--- a/dev-libs/link-grammar/link-grammar-5.3.10.ebuild
+++ /dev/null
@@ -1,155 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-GNOME2_LA_PUNT="yes"
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
-
-inherit autotools eutils gnome2 java-pkg-opt-2 python-r1
-
-DESCRIPTION="A Syntactic English parser"
-HOMEPAGE="http://www.abisource.com/projects/link-grammar/ http://www.link.cs.cmu.edu/link/"
-SRC_URI="http://www.abisource.com/downloads/${PN}/${PV}/${P}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~ppc ~ppc64 ~sparc x86"
-IUSE="aspell +hunspell java python static-libs threads"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-RDEPEND="
- aspell? ( app-text/aspell )
- hunspell? ( app-text/hunspell )
- java? (
- >=virtual/jdk-1.6:*
- dev-java/ant-core )
- python? ( ${PYTHON_DEPS} )
-"
-DEPEND="${RDEPEND}
- dev-lang/swig:0
- sys-devel/autoconf-archive
- virtual/pkgconfig
-"
-
-NORMAL_BUILD_DIR="${WORKDIR}/${P}-normal"
-
-pkg_setup() {
- if use aspell && use hunspell; then
- ewarn "You have enabled 'aspell' and 'hunspell' support, but both cannot coexist,"
- ewarn "only hunspell will be built. Press Ctrl+C and set only 'aspell' USE flag if"
- ewarn "you want aspell support."
- fi
- use java && java-pkg-opt-2_pkg_setup
-}
-
-src_prepare() {
- use java && java-pkg-opt-2_src_prepare
-
- # http://bugzilla.abisource.com/show_bug.cgi?id=13806
- eapply "${FILESDIR}"/${PN}-5.3.9-out-of-source-build.patch
- eautoreconf
-
- if use python ; then
- prepare_python() {
- mkdir -p "${BUILD_DIR}" || die
- }
- python_foreach_impl prepare_python
- fi
-
- mkdir -p "${NORMAL_BUILD_DIR}" || die
- gnome2_src_prepare
-}
-
-src_configure() {
- local myconf=(
- --disable-editline
- --disable-perl-bindings
- --enable-shared
- $(use_enable aspell)
- $(use_enable hunspell)
- $(usex hunspell --with-hunspell-dictdir=/usr/share/myspell)
- $(use_enable java java-bindings)
- $(use_enable static-libs static)
- $(use_enable threads pthreads)
- )
-
- cd "${NORMAL_BUILD_DIR}" || die
- ECONF_SOURCE="${S}" gnome2_src_configure \
- --disable-python-bindings \
- --disable-python3-bindings \
- ${myconf[@]}
-
- if use python ; then
- prepare_python() {
- if python_is_python3; then
- ECONF_SOURCE="${S}" gnome2_src_configure \
- --disable-python-bindings \
- --enable-python3-bindings \
- ${myconf[@]}
- else
- ECONF_SOURCE="${S}" gnome2_src_configure \
- --enable-python-bindings \
- --disable-python3-bindings \
- ${myconf[@]}
- fi
- }
- python_foreach_impl run_in_build_dir prepare_python
- fi
-}
-
-src_compile() {
- cd "${NORMAL_BUILD_DIR}" || die
- gnome2_src_compile
-
- if use python ; then
- compile_binding() {
- local pysuffix
- if python_is_python3; then
- pysuffix=3
- else
- pysuffix=
- fi
-
- emake -C bindings/python$pysuffix \
- VPATH="${S}:${NORMAL_BUILD_DIR}" \
- _clinkgrammar_la_DEPENDENCIES="${NORMAL_BUILD_DIR}"/link-grammar/liblink-grammar.la \
- _clinkgrammar_la_LIBADD="${NORMAL_BUILD_DIR}"/link-grammar/liblink-grammar.la
- }
- python_foreach_impl run_in_build_dir compile_binding
- fi
-}
-
-src_test() {
- cd "${NORMAL_BUILD_DIR}" || die
- ln -s "${S}"/data tests/data || die
- emake check
-}
-
-src_install() {
- cd "${NORMAL_BUILD_DIR}" || die
- gnome2_src_install
-
- if use python ; then
- install_binding() {
- local pysuffix
- if python_is_python3; then
- pysuffix=3
- else
- pysuffix=
- fi
-
- emake -C bindings/python$pysuffix \
- VPATH="${S}:${NORMAL_BUILD_DIR}" \
- _clinkgrammar_la_DEPENDENCIES="${NORMAL_BUILD_DIR}"/link-grammar/liblink-grammar.la \
- _clinkgrammar_la_LIBADD="${NORMAL_BUILD_DIR}"/link-grammar/liblink-grammar.la \
- DESTDIR="${D}" \
- install
- }
- python_foreach_impl run_in_build_dir install_binding
- fi
-}
-
-pkg_preinst() {
- use java && java-pkg-opt-2_pkg_preinst
- gnome2_pkg_preinst
-}